Subject: bug#59868: 28.2.50; compilation-search-path incompatible with dir-locals

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Dec 2022 15:01:17 +0200

severity 59868 wishlist
thanks

> From: Len Trigg <[email-masked]>
> Date: Wed, 7 Dec 2022 14:56:25 +1300
> 
> The compilation-search-path variable purports to let the user specify a
> list of directories to search when resolving file names found in
> compilation error messages. As such this very much should be possible to
> specify as a project-specific setting. However, setting this variable in
> per-project .dir-locals.el file does not work. When a compilation buffer
> is created, the local value is not obeyed (I have my dir locals file setting
> this variable regardless of the major mode, and I see the variable being
> set in regular modes just fine - it seems to be just compilation mode with
> the problem). I am not an expert, but it may be due to compilation mode
> calling kill-all-local-variables that prevents this from working as expected.

I don't think this variable is meant to be buffer-local in
*compilation* buffers.  If project.el wants to provide a project-local
value for this search path, it should define a new variable for that,
and then compilation-mode can set its own variable from that.